Subject: Re: bug#23521: XFAIL

From: Reuben Thomas <[email-masked]>
Date: Thu, 19 May 2016 10:16:28 +0100

On 19 May 2016 at 00:55, Peter Johansson <[email-masked]> wrote:

>
>
> On 05/19/2016 09:04 AM, Mathieu Lirzin wrote:
>
>> Another common use for "expected failure" is to write tests to check
>>> >that error conditions arise as expected, for example, by checking that
>>> >a program raises an error when given invalid input.
>>>
>> I agree that XFAIL can be ambiguous, however I think this usage is not
>> desirable.  It gives an additional opposite meaning to XFAIL symbol
>> which makes it even more confusing.
>>
>> I agree. When I wanna tests that a program fails with incorrect input, I
> prefer writing a tests that calls the program, check that it fails (exit 1
> or whatever is expected), and perhaps even parse the error message, and if
> it looks like I expect exit 0 aka PASS.
>

​Thanks. I shall continue with my "deviant" usage for now, but if that is
not considered normal, I understand that you won't want to document it.

-- 
http://rrt.sc3d.org